com.streambase.sb.operator

## Class Operator.PropertyTypecheckException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.streambase.sb.StreamBaseException
      - - com.streambase.sb.operator.TypecheckException
        - - com.streambase.sb.operator.Operator.PropertyTypecheckException

- All Implemented Interfaces:
    LocatedItem, Serializable
  Enclosing class:
    Operator

      public final class Operator.PropertyTypecheckException
      extends TypecheckException

  A typecheck exception associated with an Operator property (or parameter) by name. Use this instead of `TypecheckException` when throwing from `Operator.typecheck()` to allow Studio to decorate the error message alongside the UI widget corresponding to the property.

  For all constructors, the first String argument is the Operator's property name (as declared by the Operator's `BeanInfo`)

  Since:
    6.5 initial release
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyTypecheckException(String property, String msg)` Equivalent to `TypecheckException.TypecheckException(LocatedItem, String)` using `Operator.getLocation(String)` against the given `property` as the exception location.
    `PropertyTypecheckException(String property, String msg, Throwable cause)` Equivalent to `TypecheckException.TypecheckException(LocatedItem, String, Throwable)` using `Operator.getLocation(String)` against the given `property` as the exception location.
    `PropertyTypecheckException(String property, Throwable cause)` Equivalent to `TypecheckException.TypecheckException(LocatedItem, Throwable)` using `Operator.getLocation(String)` against the given `property` as the exception location.

  - ### Method Summary

    - ### Methods inherited from class com.streambase.sb.StreamBaseException

      `asXmlStringSingle, asXmlStringStrict, asXmlStringStrict, equals, getParams, hashCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.streambase.sb.util.LocatedItem

      `getLocation`

- - ### Constructor Detail

    - #### PropertyTypecheckException

          public PropertyTypecheckException(String property,
                                            String msg)

      Equivalent to `TypecheckException.TypecheckException(LocatedItem, String)` using `Operator.getLocation(String)` against the given `property` as the exception location.
      Parameters:
        `property` - Operator property name associated with this exception
        `msg` - message describing this exception
      See Also:
        `Operator.PropertyTypecheckException`

    - #### PropertyTypecheckException

          public PropertyTypecheckException(String property,
                                            Throwable cause)

      Equivalent to `TypecheckException.TypecheckException(LocatedItem, Throwable)` using `Operator.getLocation(String)` against the given `property` as the exception location.
      Parameters:
        `property` - Operator property name associated with this exception
        `cause` - the underlying cause, as an exception, for this exception
      See Also:
        `Operator.PropertyTypecheckException`

    - #### PropertyTypecheckException

          public PropertyTypecheckException(String property,
                                            String msg,
                                            Throwable cause)

      Equivalent to `TypecheckException.TypecheckException(LocatedItem, String, Throwable)` using `Operator.getLocation(String)` against the given `property` as the exception location.
      Parameters:
        `property` - Operator property name associated with this exception
        `msg` - message describing this exception
        `cause` - underlying exception
      See Also:
        `Operator.PropertyTypecheckException`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.